package utils

// 比较切片 比较每个位置的元素
func ForEqual(x, y []int32) bool {
	if len(x) != len(y) {
		return false
	}

	if (x == nil) != (y == nil) {
		return false
	}

	for i, v := range x {
		if v != y[i] {
			return false
		}
	}

	return true
}

func ForContainer(x, y []int32) bool {
	if len(x) != len(y) {
		return false
	}

	if (x == nil) != (y == nil) {
		return false
	}

	for _, v := range x {
		if _, ok := Findx(y, v); !ok {
			return false
		}
	}

	return true
}
